Index: trunk/phpgwapi/cron/asyncservices.php
===================================================================
--- trunk/phpgwapi/cron/asyncservices.php	(revision 5141)
+++ trunk/phpgwapi/cron/asyncservices.php	(revision 7681)
@@ -57,5 +57,5 @@
 	if (!isset($GLOBALS['phpgw_domain'][$_GET['domain']]) || empty($db_type))
 	{
-		echo $msg = "asyncservice.php: Domain '$_GET[domain]' is not configured or renamed, exiting !!!\n";
+		echo $msg = "asyncservice.php: Domain '{$_GET['domain']}' is not configured or renamed, exiting !!!\n";
 		if (defined('ASYNC_LOG'))
 		{
Index: trunk/phpgwapi/inc/class.vfs_shared.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.vfs_shared.inc.php	(revision 7655)
+++ trunk/phpgwapi/inc/class.vfs_shared.inc.php	(revision 7681)
@@ -1028,8 +1028,8 @@
 				while (list ($num, $link_info) = each ($this->linked_dirs))
 				{
-					if (preg_match("/^$link_info[directory]\/$link_info[name](\/|$)/", $rarray['fake_full_path']))
+					if (preg_match("/^{$link_info['directory']}\/{$link_info['name']}(\/|$)/", $rarray['fake_full_path']))
 					{
 						$rarray['real_full_path'] = preg_replace("/^$this->basedir/", '', $rarray['real_full_path']);
-						$rarray['real_full_path'] = preg_replace("/^$link_info[directory]" . SEP . "$link_info[name]/", $link_info['link_directory'] . SEP . $link_info['link_name'], $rarray['real_full_path']);
+						$rarray['real_full_path'] = preg_replace("/^{$link_info['directory']}" . SEP . "{$link_info['name']}/", $link_info['link_directory'] . SEP . $link_info['link_name'], $rarray['real_full_path']);
 
 						$p = $this->path_parts (array(
@@ -1069,14 +1069,14 @@
 			}
 
-			/*
-			echo "<br>fake_full_path: $rarray[fake_full_path]
-				<br>fake_leading_dirs: $rarray[fake_leading_dirs]
-				<br>fake_extra_path: $rarray[fake_extra_path]
-				<br>fake_name: $rarray[fake_name]
-				<br>real_full_path: $rarray[real_full_path]
-				<br>real_leading_dirs: $rarray[real_leading_dirs]
-				<br>real_extra_path: $rarray[real_extra_path]
-				<br>real_name: $rarray[real_name]";
-			*/
+            /*
+			echo "<br>fake_full_path: {$rarray['fake_full_path']}
+				<br>fake_leading_dirs: {$rarray['fake_leading_dirs']}
+				<br>fake_extra_path: {$rarray['fake_extra_path']}
+				<br>fake_name: {$rarray['fake_name']}
+				<br>real_full_path: {$rarray['real_full_path']}
+				<br>real_leading_dirs: {$rarray['real_leading_dirs']}
+				<br>real_extra_path: {$rarray['real_extra_path']}
+				<br>real_name: {$rarray['real_name']}";
+            */
 
 			if ($data['object'])
Index: trunk/phpgwapi/inc/class.uiaccountsel.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.uiaccountsel.inc.php	(revision 2)
+++ trunk/phpgwapi/inc/class.uiaccountsel.inc.php	(revision 7681)
@@ -343,5 +343,5 @@
 
 				$GLOBALS['phpgw']->template->set_var('onclick',"addOption('$element_id','".
-					$GLOBALS['phpgw']->common->grab_owner_name($group['account_id'])."','$group[account_id]')".
+					$GLOBALS['phpgw']->common->grab_owner_name($group['account_id'])."','{$group['account_id']}')".
 					($single ? '; window.close()' : ''));
 
@@ -409,5 +409,5 @@
 					'lastname'	=> $user['account_lastname'] ? $user['account_lastname'] : '&nbsp;',
 					'onclick'	=> "addOption('$element_id','".
-						$GLOBALS['phpgw']->common->grab_owner_name($user['account_id'])."','$user[account_id]')".
+						$GLOBALS['phpgw']->common->grab_owner_name($user['account_id'])."','{$user['account_id']}')".
 						($single ? '; window.close()' : ''),
 				));
Index: trunk/phpgwapi/inc/class.asyncservice.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.asyncservice.inc.php	(revision 6057)
+++ trunk/phpgwapi/inc/class.asyncservice.inc.php	(revision 7681)
@@ -522,11 +522,11 @@
 			if ($exists || $this->read($job['id']))
 			{
-				$this->db->query("UPDATE $this->db_table SET next=$job[next],times='$job[times]',".
-					"method='$job[method]',data='$job[data]',account_id=$job[account_id] WHERE id='$job[id]'",__LINE__,__FILE__);
+				$this->db->query("UPDATE $this->db_table SET next={$job['next']},times='{$job['times']}',".
+					"method='{$job['method']}',data='{$job['data']}',account_id={$job['account_id']} WHERE id='{$job['id']}'",__LINE__,__FILE__);
 			}
 			else
 			{
 				$this->db->query("INSERT INTO $this->db_table (id,next,times,method,data,account_id) VALUES ".
-					"('$job[id]',$job[next],'$job[times]','$job[method]','$job[data]',$job[account_id])",__LINE__,__FILE__);
+					"('{$job['id']}',{$job['next']},'{$job['times']}','{$job['method']}','{$job['data']}',{$job['account_id']})",__LINE__,__FILE__);
 			}
 		}
Index: trunk/phpgwapi/inc/class.matrixview.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.matrixview.inc.php	(revision 7655)
+++ trunk/phpgwapi/inc/class.matrixview.inc.php	(revision 7681)
@@ -104,5 +104,5 @@
 			{
 				$dinfo = getdate(mktime(0,0,0, $this->month+1,0,$this->year));
-				$this->day = $dinfo[mday];
+				$this->day = $dinfo['mday'];
 			}
 
@@ -200,6 +200,6 @@
 
 			$in = getdate(mktime(0,0,0, $this->month+1,0,$this->year));
-			$this->sumdays = $in[mday];
-			$this->monthname = $in[month];
+			$this->sumdays = $in['mday'];
+			$this->monthname = $in['month'];
 
 			$this->out_monthyear($form_link);
Index: trunk/phpgwapi/inc/class.vfs_sql.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.vfs_sql.inc.php	(revision 7655)
+++ trunk/phpgwapi/inc/class.vfs_sql.inc.php	(revision 7681)
@@ -1411,6 +1411,6 @@
 					$newdir = preg_replace("/^$f->fake_full_path/", "$t->fake_full_path", $entry['directory']);
 					$this->cp (array(
-							'from'	=> "$entry[directory]/$entry[name]",
-							'to'	=> "$newdir/$entry[name]",
+							'from'	=> "$entry[directory]/{$entry['name']}",
+							'to'	=> "$newdir/{$entry['name']}",
 							'relatives'	=> array ($f->mask, $t->mask)
 						)
@@ -1651,8 +1651,8 @@
 
 					$query = $GLOBALS['phpgw']->db->query ("UPDATE phpgw_vfs SET directory='".
-						$GLOBALS['phpgw']->db->db_addslashes($newdir_clean)."' WHERE file_id='$entry[file_id]'" .
+						$GLOBALS['phpgw']->db->db_addslashes($newdir_clean)."' WHERE file_id='{$entry['file_id']}'" .
 						$this->extra_sql (array ('query_type' => VFS_SQL_UPDATE)), __LINE__, __FILE__);
 					$this->correct_attributes (array(
-							'string'	=> "$newdir/$entry[name]",
+							'string'	=> "$newdir/{$entry['name']}",
 							'relatives'	=> array ($t->mask)
 						)
@@ -1782,5 +1782,5 @@
 
 					$this->rm (array(
-							'string'	=> "$entry[directory]/$entry[name]",
+							'string'	=> "{$entry['directory']}/{$entry['name']}",
 							'relatives'	=> array ($p->mask)
 						)
@@ -1798,5 +1798,5 @@
 					/* Only the best in confusing recursion */
 					$this->rm (array(
-							'string'	=> "$entry[directory]/$entry[name]",
+							'string'	=> "{$entry['directory']}/{$entry['name']}",
 							'relatives'	=> array ($p->mask)
 						)
Index: trunk/phpgwapi/inc/class.accounts.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.accounts.inc.php	(revision 7673)
+++ trunk/phpgwapi/inc/class.accounts.inc.php	(revision 7681)
@@ -189,8 +189,8 @@
 		 * @param $param['query'] string to search for, no search if unset or empty
 		 * @param $param['query_type'] string:
-		 *	'all'   - query all fields for containing $param[query]
-		 *	'start' - query all fields starting with $param[query]
-		 *	'exact' - query all fields for exact $param[query]
-		 *	'lid','firstname','lastname','email' - query only the given field for containing $param[query]
+		 *	'all'   - query all fields for containing $param['query']
+		 *	'start' - query all fields starting with $param['query']
+		 *	'exact' - query all fields for exact $param['query']
+		 *	'lid','firstname','lastname','email' - query only the given field for containing $param['query']
 		 * @param $param['app'] string with an app-name, to limit result on accounts with run-right for that app
 		 * @param $param['offset'] int - number of matches to return if start given, default use the value in the prefs
@@ -251,5 +251,5 @@
 					$this->total = $account_search[$serial2]['total'];
 				}
-				//echo "accounts_::get_list($param[type],$param[start],$param[sort],$param[order],$param[query],$param[offset],$param[query_type]) returned<pre>".print_r($account_search[$serial2],True)."</pre>\n";
+				//echo "accounts_::get_list({$param['type']},{$param['start']},{$param['sort']},{$param['order']},{$param['query']},{$param['offset']},{$param['query_type']}) returned<pre>".print_r($account_search[$serial2],True)."</pre>\n";
 				if ($app || $group)	// limit the search on accounts with run-rights for app or a group
 				{
Index: trunk/phpgwapi/inc/class.Template.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.Template.inc.php	(revision 2)
+++ trunk/phpgwapi/inc/class.Template.inc.php	(revision 7681)
@@ -25,5 +25,5 @@
 		var $debug = False;	// array('cat_list','cat_list_t');
 
-		/* $file[handle] = 'filename'; */
+		/* $file['handle'] = 'filename'; */
 		var $file = array();
 
@@ -31,5 +31,5 @@
 		var $root = '';
 
-		/* $varkeys[key] = 'key'; $varvals[key] = 'value'; */
+		/* $varkeys['key'] = 'key'; $varvals['key'] = 'value'; */
 		var $varkeys = array();
 		var $varvals = array();
Index: trunk/phpgwapi/inc/class.vfs_dav.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.vfs_dav.inc.php	(revision 7655)
+++ trunk/phpgwapi/inc/class.vfs_dav.inc.php	(revision 7681)
@@ -585,8 +585,8 @@
 				while (list ($num, $link_info) = each ($this->linked_dirs))
 				{
-					if (preg_match("/^$link_info[directory]\/$link_info[name](\/|$)/", $rarray['fake_full_path']))
+					if (preg_match("/^{$link_info['directory']}\/{$link_info['name']}(\/|$)/", $rarray['fake_full_path']))
 					{
 						$rarray['real_full_path'] = preg_replace("/^$this->basedir/", '', $rarray['real_full_path']);
-						$rarray['real_full_path'] = preg_replace("/^$link_info[directory]" . SEP . "$link_info[name]/", $link_info['link_directory'] . SEP . $link_info['link_name'], $rarray['real_full_path']);
+						$rarray['real_full_path'] = preg_replace("/^{$link_info['directory']}" . SEP . "{$link_info['name']}/", $link_info['link_directory'] . SEP . $link_info['link_name'], $rarray['real_full_path']);
 
 						$p = $this->path_parts (array(
@@ -643,13 +643,13 @@
 
 /*
-			echo "<br>fake_full_path: $rarray[fake_full_path]
-				<br>fake_leading_dirs: $rarray[fake_leading_dirs]
-				<br>fake_extra_path: $rarray[fake_extra_path]
-				<br>fake_name: $rarray[fake_name]
-				<br>real_full_path: $rarray[real_full_path]
-				<br>real_full_url: $rarray[real_full_url]
-				<br>real_leading_dirs: $rarray[real_leading_dirs]
-				<br>real_extra_path: $rarray[real_extra_path]
-				<br>real_name: $rarray[real_name]";
+			echo "<br>fake_full_path: {$rarray['fake_full_path']}
+				<br>fake_leading_dirs: {$rarray['fake_leading_dirs']}
+				<br>fake_extra_path: {$rarray['fake_extra_path']}
+				<br>fake_name: {$rarray['fake_name']}
+				<br>real_full_path: {$rarray['real_full_path']}
+				<br>real_full_url: {$rarray['real_full_url']}
+				<br>real_leading_dirs: {$rarray['real_leading_dirs']}
+				<br>real_extra_path: {$rarray['real_extra_path']}
+				<br>real_name: {$rarray['real_name']}";
 */
 
@@ -1681,6 +1681,6 @@
 					$newdir = preg_replace("/^$f->fake_full_path/", "$t->fake_full_path", $entry['directory']);
 					$this->cp (array(
-							'from'	=> "$entry[directory]/$entry[name]",
-							'to'	=> "$newdir/$entry[name]",
+							'from'	=> "$entry[directory]/{$entry['name']}",
+							'to'	=> "$newdir/{$entry['name']}",
 							'relatives'	=> array ($f->mask, $t->mask)
 						)
@@ -1951,5 +1951,5 @@
 				{
 					$this->rm (array(
-							'string'	=> "$entry[directory]/$entry[name]",
+							'string'	=> "{$entry['directory']}/{$entry['name']}",
 							'relatives'	=> array ($p->mask)
 						)
Index: trunk/phpgwapi/templates/classic/login_classic.php
===================================================================
--- trunk/phpgwapi/templates/classic/login_classic.php	(revision 7673)
+++ trunk/phpgwapi/templates/classic/login_classic.php	(revision 7681)
@@ -315,5 +315,5 @@
 	$config_reg = $cnf_reg->config_data;
 
-	if($config_reg[enable_registration]=='True' && $config_reg[register_link]=='True')
+	if($config_reg['enable_registration']=='True' && $config_reg['register_link']=='True')
 	{
 		$reg_link='&nbsp;<a href="registration/">'.lang('Not a user yet? Register now').'</a><br/>';
Index: trunk/phpgwapi/templates/default/login_default.php
===================================================================
--- trunk/phpgwapi/templates/default/login_default.php	(revision 7673)
+++ trunk/phpgwapi/templates/default/login_default.php	(revision 7681)
@@ -428,5 +428,5 @@
 	$config_reg = $cnf_reg->config_data;
 
-	if($config_reg[enable_registration]=='True' && $config_reg[register_link]=='True')
+	if($config_reg['enable_registration']=='True' && $config_reg['register_link']=='True')
 	{
 		$reg_link='&nbsp;<a href="registration/">'.lang('Not a user yet? Register now').'</a><br/>';
Index: trunk/phpgwapi/templates/news/login_news.php
===================================================================
--- trunk/phpgwapi/templates/news/login_news.php	(revision 7673)
+++ trunk/phpgwapi/templates/news/login_news.php	(revision 7681)
@@ -364,5 +364,5 @@
 	$config_reg = $cnf_reg->config_data;
 
-	if($config_reg[enable_registration]=='True' && $config_reg[register_link]=='True')
+	if($config_reg['enable_registration']=='True' && $config_reg['register_link']=='True')
 	{
 		$reg_link='&nbsp;<a href="registration/">'.lang('Not a user yet? Register now').'</a><br/>';
Index: trunk/reports/inc/class.uireports_maillists.inc.php
===================================================================
--- trunk/reports/inc/class.uireports_maillists.inc.php	(revision 7655)
+++ trunk/reports/inc/class.uireports_maillists.inc.php	(revision 7681)
@@ -65,9 +65,9 @@
 			}
 
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
 
-			$setordn = trim($_POST[setordn]);
-			$subtitulo1 = trim($_POST[subtitulo]);
+			$setordn = trim($_POST['setordn']);
+			$subtitulo1 = trim($_POST['subtitulo']);
 
 			define('FPDF_FONTPATH','font/');
@@ -300,11 +300,11 @@
 		function report_maillists_group_print()
 		{
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
-			$organizacao = trim($_POST[organizacao]);
-			$setordn = trim($_POST[setordn]);
-			$organizacaodn = trim($_POST[organizacaodn]);
-			$sectornamedncompleto = trim($_POST[sectornamedncompleto]);
-			$Psectornamedncompleto = trim($_POST[Psectornamedncompleto]);
+			$organizacao = trim($_POST['organizacao']);
+			$setordn = trim($_POST['setordn']);
+			$organizacaodn = trim($_POST['organizacaodn']);
+			$sectornamedncompleto = trim($_POST['sectornamedncompleto']);
+			$Psectornamedncompleto = trim($_POST['Psectornamedncompleto']);
 
 			if ($sectornamedncompleto=="" && $Psectornamedncompleto=="")
@@ -385,5 +385,5 @@
 
 				// **** Grupo de paginas ****
-				$gpag = $_POST[gpage];
+				$gpag = $_POST['gpage'];
 
 				$grupopage = 20;
@@ -394,5 +394,5 @@
 
 				// recebe o numero da pagina
-				$npag = $_POST[page];
+				$npag = $_POST['page'];
 
 				// verifica se o get com o numero da pagina é nulo
Index: trunk/reports/inc/class.uireports_users.inc.php
===================================================================
--- trunk/reports/inc/class.uireports_users.inc.php	(revision 7655)
+++ trunk/reports/inc/class.uireports_users.inc.php	(revision 7681)
@@ -65,9 +65,9 @@
 			}
 
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
 
-			$setordn = trim($_POST[setordn]);
-			$subtitulo1 = trim($_POST[subtitulo]);
+			$setordn = trim($_POST['setordn']);
+			$subtitulo1 = trim($_POST['subtitulo']);
 
 			define('FPDF_FONTPATH','font/');
@@ -318,11 +318,11 @@
 		function report_users_group_setor_print()
 		{
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
-			$organizacao = trim($_POST[organizacao]);
-			$setordn = trim($_POST[setordn]);
-			$organizacaodn = trim($_POST[organizacaodn]);
-			$sectornamedncompleto = trim($_POST[sectornamedncompleto]);
-			$Psectornamedncompleto = trim($_POST[Psectornamedncompleto]);
+			$organizacao = trim($_POST['organizacao']);
+			$setordn = trim($_POST['setordn']);
+			$organizacaodn = trim($_POST['organizacaodn']);
+			$sectornamedncompleto = trim($_POST['sectornamedncompleto']);
+			$Psectornamedncompleto = trim($_POST['Psectornamedncompleto']);
 
 			if ($sectornamedncompleto=="" && $Psectornamedncompleto=="")
@@ -403,5 +403,5 @@
 
 				// **** Grupo de paginas ****
-				$gpag = $_POST[gpage];
+				$gpag = $_POST['gpage'];
 
 				$grupopage = 20;
@@ -412,5 +412,5 @@
 
 				// recebe o numero da pagina
-				$npag = $_POST[page];
+				$npag = $_POST['page'];
 
 				// verifica se o get com o numero da pagina é nulo
Index: trunk/reports/inc/class.uireports_usersgroups.inc.php
===================================================================
--- trunk/reports/inc/class.uireports_usersgroups.inc.php	(revision 7655)
+++ trunk/reports/inc/class.uireports_usersgroups.inc.php	(revision 7681)
@@ -65,9 +65,9 @@
 			}
 
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
 
-			$setordn = trim($_POST[setordn]);
-			$subtitulo1 = trim($_POST[subtitulo]);
+			$setordn = trim($_POST['setordn']);
+			$subtitulo1 = trim($_POST['subtitulo']);
 
 			define('FPDF_FONTPATH','font/');
@@ -297,11 +297,11 @@
 		function report_usersgroups_group_print()
 		{
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
-			$organizacao = trim($_POST[organizacao]);
-			$setordn = trim($_POST[setordn]);
-			$organizacaodn = trim($_POST[organizacaodn]);
-			$sectornamedncompleto = trim($_POST[sectornamedncompleto]);
-			$Psectornamedncompleto = trim($_POST[Psectornamedncompleto]);
+			$organizacao = trim($_POST['organizacao']);
+			$setordn = trim($_POST['setordn']);
+			$organizacaodn = trim($_POST['organizacaodn']);
+			$sectornamedncompleto = trim($_POST['sectornamedncompleto']);
+			$Psectornamedncompleto = trim($_POST['Psectornamedncompleto']);
 
 			if ($sectornamedncompleto=="" && $Psectornamedncompleto=="")
@@ -382,5 +382,5 @@
 
 				// **** Grupo de paginas ****
-				$gpag = $_POST[gpage];
+				$gpag = $_POST['gpage'];
 
 				$grupopage = 20;
@@ -391,5 +391,5 @@
 
 				// recebe o numero da pagina
-				$npag = $_POST[page];
+				$npag = $_POST['page'];
 
 				// verifica se o get com o numero da pagina é nulo
Index: trunk/reports/inc/class.uireports_shareAccounts.inc.php
===================================================================
--- trunk/reports/inc/class.uireports_shareAccounts.inc.php	(revision 7655)
+++ trunk/reports/inc/class.uireports_shareAccounts.inc.php	(revision 7681)
@@ -67,9 +67,9 @@
 			}
 
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
 
-			$setordn = trim($_POST[setordn]);
-			$subtitulo1 = trim($_POST[subtitulo]);
+			$setordn = trim($_POST['setordn']);
+			$subtitulo1 = trim($_POST['subtitulo']);
 
 			define('FPDF_FONTPATH','font/');
@@ -329,11 +329,11 @@
 		function report_shareAccounts_group_setor_print()
 		{
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
-			$organizacao = trim($_POST[organizacao]);
-			$setordn = trim($_POST[setordn]);
-			$organizacaodn = trim($_POST[organizacaodn]);
-			$sectornamedncompleto = trim($_POST[sectornamedncompleto]);
-			$Psectornamedncompleto = trim($_POST[Psectornamedncompleto]);
+			$organizacao = trim($_POST['organizacao']);
+			$setordn = trim($_POST['setordn']);
+			$organizacaodn = trim($_POST['organizacaodn']);
+			$sectornamedncompleto = trim($_POST['sectornamedncompleto']);
+			$Psectornamedncompleto = trim($_POST['Psectornamedncompleto']);
 
 			if ($sectornamedncompleto=="" && $Psectornamedncompleto=="")
@@ -414,5 +414,5 @@
 
 				// **** Grupo de paginas ****
-				$gpag = $_POST[gpage];
+				$gpag = $_POST['gpage'];
 
 				$grupopage = 20;
@@ -423,5 +423,5 @@
 
 				// recebe o numero da pagina
-				$npag = $_POST[page];
+				$npag = $_POST['page'];
 
 				// verifica se o get com o numero da pagina é nulo
Index: trunk/reports/inc/class.uireports_institutionalAccounts.inc.php
===================================================================
--- trunk/reports/inc/class.uireports_institutionalAccounts.inc.php	(revision 7655)
+++ trunk/reports/inc/class.uireports_institutionalAccounts.inc.php	(revision 7681)
@@ -65,9 +65,9 @@
 			}
 
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
 
-			$setordn = trim($_POST[setordn]);
-			$subtitulo1 = trim($_POST[subtitulo]);
+			$setordn = trim($_POST['setordn']);
+			$subtitulo1 = trim($_POST['subtitulo']);
 
 			define('FPDF_FONTPATH','font/');
@@ -324,11 +324,11 @@
 		function report_institutionalAccounts_group_setor_print()
 		{
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
-			$organizacao = trim($_POST[organizacao]);
-			$setordn = trim($_POST[setordn]);
-			$organizacaodn = trim($_POST[organizacaodn]);
-			$sectornamedncompleto = trim($_POST[sectornamedncompleto]);
-			$Psectornamedncompleto = trim($_POST[Psectornamedncompleto]);
+			$organizacao = trim($_POST['organizacao']);
+			$setordn = trim($_POST['setordn']);
+			$organizacaodn = trim($_POST['organizacaodn']);
+			$sectornamedncompleto = trim($_POST['sectornamedncompleto']);
+			$Psectornamedncompleto = trim($_POST['Psectornamedncompleto']);
 
 			if ($sectornamedncompleto=="" && $Psectornamedncompleto=="")
@@ -409,5 +409,5 @@
 
 				// **** Grupo de paginas ****
-				$gpag = $_POST[gpage];
+				$gpag = $_POST['gpage'];
 
 				$grupopage = 20;
@@ -418,5 +418,5 @@
 
 				// recebe o numero da pagina
-				$npag = $_POST[page];
+				$npag = $_POST['page'];
 
 				// verifica se o get com o numero da pagina é nulo
Index: trunk/reports/inc/class.uireports_logon.inc.php
===================================================================
--- trunk/reports/inc/class.uireports_logon.inc.php	(revision 7655)
+++ trunk/reports/inc/class.uireports_logon.inc.php	(revision 7681)
@@ -66,11 +66,11 @@
 			}
 
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
 
-			$setordn = trim($_POST[setordn]);
-			$subtitulo1 = trim($_POST[subtitulo]);
-			
-			$vnumacesso = trim($_POST[nacesso]);
+			$setordn = trim($_POST['setordn']);
+			$subtitulo1 = trim($_POST['subtitulo']);
+			
+			$vnumacesso = trim($_POST['nacesso']);
 			$numacesso = abs(round($vnumacesso));
 
@@ -401,11 +401,11 @@
 			}
 
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
-			$organizacao = trim($_POST[organizacao]);
-			$setordn = trim($_POST[setordn]);
-			$organizacaodn = trim($_POST[organizacaodn]);
-			$sectornamedncompleto = trim($_POST[sectornamedncompleto]);
-			$Psectornamedncompleto = trim($_POST[Psectornamedncompleto]);
+			$organizacao = trim($_POST['organizacao']);
+			$setordn = trim($_POST['setordn']);
+			$organizacaodn = trim($_POST['organizacaodn']);
+			$sectornamedncompleto = trim($_POST['sectornamedncompleto']);
+			$Psectornamedncompleto = trim($_POST['Psectornamedncompleto']);
 
 			if ($sectornamedncompleto=="" && $Psectornamedncompleto=="")
@@ -485,5 +485,5 @@
 	
 					// **** Grupo de paginas ****
-					$gpag = $_POST[gpage];
+					$gpag = $_POST['gpage'];
 	
 					$grupopage = 20;
@@ -494,5 +494,5 @@
 	
 					// recebe o numero da pagina
-					$npag = $_POST[page];
+					$npag = $_POST['page'];
 	
 					// verifica se o get com o numero da pagina é nulo
Index: trunk/reports/inc/class.uireports_cota.inc.php
===================================================================
--- trunk/reports/inc/class.uireports_cota.inc.php	(revision 7655)
+++ trunk/reports/inc/class.uireports_cota.inc.php	(revision 7681)
@@ -203,11 +203,11 @@
 		function report_cota_group_setor_print()
 		{
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
-			$organizacao = trim($_POST[organizacao]);
-			$setordn = trim($_POST[setordn]);
-			$organizacaodn = trim($_POST[organizacaodn]);
-			$sectornamedncompleto = trim($_POST[sectornamedncompleto]);
-			$Psectornamedncompleto = trim($_POST[Psectornamedncompleto]);			
+			$organizacao = trim($_POST['organizacao']);
+			$setordn = trim($_POST['setordn']);
+			$organizacaodn = trim($_POST['organizacaodn']);
+			$sectornamedncompleto = trim($_POST['sectornamedncompleto']);
+			$Psectornamedncompleto = trim($_POST['Psectornamedncompleto']);
 
 			if ($sectornamedncompleto=="" && $Psectornamedncompleto=="")
@@ -289,5 +289,5 @@
 
 				// **** Grupo de paginas ****
-				$gpag = $_POST[gpage];
+				$gpag = $_POST['gpage'];
 
 				$grupopage = 20;
@@ -298,5 +298,5 @@
 
 				// recebe o numero da pagina
-				$npag = $_POST[page];
+				$npag = $_POST['page'];
 
 				// verifica se o get com o numero da pagina é nulo
@@ -512,9 +512,9 @@
 			}
 
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
 
-			$setordn = trim($_POST[setordn]);
-			$subtitulo1 = trim($_POST[subtitulo]);
+			$setordn = trim($_POST['setordn']);
+			$subtitulo1 = trim($_POST['subtitulo']);
 			
 			define('FPDF_FONTPATH','font/');
Index: trunk/reports/inc/class.functions.inc.php
===================================================================
--- trunk/reports/inc/class.functions.inc.php	(revision 7655)
+++ trunk/reports/inc/class.functions.inc.php	(revision 7681)
@@ -58,48 +58,48 @@
 			{
 				case list_users:
-					if ($array_acl[acl_add_users] || $array_acl[acl_edit_users] || $array_acl[acl_delete_users] || $array_acl[acl_change_users_password] || $array_acl[acl_change_users_quote] || $array_acl[acl_edit_sambausers_attributes] || $array_acl[acl_view_users] || $array_acl[acl_manipulate_corporative_information] || $array_acl[acl_edit_users_phonenumber] )
+					if ($array_acl['acl_add_users'] || $array_acl['acl_edit_users'] || $array_acl['acl_delete_users'] || $array_acl['acl_change_users_password'] || $array_acl['acl_change_users_quote'] || $array_acl['acl_edit_sambausers_attributes'] || $array_acl['acl_view_users'] || $array_acl['acl_manipulate_corporative_information'] || $array_acl['acl_edit_users_phonenumber'] )
 						return true;
 					break;
 				case report_users:
-					if ($array_acl[acl_change_users_quote] || $array_acl[acl_view_users])
+					if ($array_acl['acl_change_users_quote'] || $array_acl['acl_view_users'])
 						return true;
 					break;
 				case list_groups:
-					if ($array_acl[acl_add_groups] || $array_acl[acl_edit_groups] || $array_acl[acl_delete_groups])
+					if ($array_acl['acl_add_groups'] || $array_acl['acl_edit_groups'] || $array_acl['acl_delete_groups'])
 						return true;
 					break;
 				case list_maillists:
-					if ($array_acl[acl_add_maillists] || $array_acl[acl_edit_maillists] || $array_acl[acl_delete_maillists])
+					if ($array_acl['acl_add_maillists'] || $array_acl['acl_edit_maillists'] || $array_acl['acl_delete_maillists'])
 						return true;
 					break;
 				case list_sectors:
 //					if ($array_acl[acl_create_sectors] || $array_acl[acl_edit_sectors] || $array_acl[acl_delete_sectors])
-					if ($array_acl[acl_view_users])
+					if ($array_acl['acl_view_users'])
 						return true;
 					break;
 				case list_computers:
-					if ($array_acl[acl_create_computers] || $array_acl[acl_edit_computers] || $array_acl[acl_delete_computers])
+					if ($array_acl['acl_create_computers'] || $array_acl['acl_edit_computers'] || $array_acl['acl_delete_computers'])
 						return true;
 					break;
 
 				case display_groups:
-					if ( $array_acl[acl_edit_users] || $array_acl[acl_view_users] || ($array_acl[acl_edit_sambausers_attributes] && ($this->current_config['expressoAdmin_samba_support'] == 'true')) )
+					if ( $array_acl['acl_edit_users'] || $array_acl['acl_view_users'] || ($array_acl['acl_edit_sambausers_attributes'] && ($this->current_config['expressoAdmin_samba_support'] == 'true')) )
 						return true;
 					break;
 				case display_emailconfig:
-					if ($array_acl[acl_edit_users] || $array_acl[acl_view_users])
+					if ($array_acl['acl_edit_users'] || $array_acl['acl_view_users'])
 						return true;
 					break;
 				case display_applications:
-					if ($array_acl[acl_edit_users] || $array_acl[acl_view_users])
+					if ($array_acl['acl_edit_users'] || $array_acl['acl_view_users'])
 						return true;
 					break;
 				case display_emaillists:
-					if ($array_acl[acl_edit_users] || $array_acl[acl_view_users])
+					if ($array_acl['acl_edit_users'] || $array_acl['acl_view_users'])
 						return true;
 					break;
 
 				case list_institutional_accounts:
-					if ($array_acl[acl_add_institutional_accounts] || $array_acl[acl_edit_institutional_accounts] || $array_acl[acl_delete_institutional_accounts])
+					if ($array_acl['acl_add_institutional_accounts'] || $array_acl['acl_edit_institutional_accounts'] || $array_acl['acl_delete_institutional_accounts'])
 						return true;
 					break;
Index: trunk/reports/index.php
===================================================================
--- trunk/reports/index.php	(revision 6920)
+++ trunk/reports/index.php	(revision 7681)
@@ -34,5 +34,5 @@
 		'lang_rel_maillists_org' 	=> lang('report maillists organization'),
 		'lang_rel_usersgroups_org' 	=> lang('report usersgroups organization'),
-		'page'						=> $_GET[page]
+		'page'						=> $_GET['page']
 	);
 	$template->set_var($var);
Index: trunk/library/PEAR/PEAR/Frontend/CLI.php
===================================================================
--- trunk/library/PEAR/PEAR/Frontend/CLI.php	(revision 7673)
+++ trunk/library/PEAR/PEAR/Frontend/CLI.php	(revision 7681)
@@ -106,5 +106,5 @@
                     $frame['function'] = !isset($frame['function']) ? '' : $frame['function'];
                     $frame['line']     = !isset($frame['line'])     ? '' : $frame['line'];
-                    $this->_displayLine("#$i: $frame[class]$frame[type]$frame[function] $frame[line]");
+                    $this->_displayLine("#$i: {$frame['class']}{$frame['type']}{$frame['function']}{$frame['line']}");
                 }
             }
Index: trunk/library/PEAR/PEAR/Installer.php
===================================================================
--- trunk/library/PEAR/PEAR/Installer.php	(revision 5146)
+++ trunk/library/PEAR/PEAR/Installer.php	(revision 7681)
@@ -236,5 +236,5 @@
 
             if ((bool) $os->matchSignature($platform) === $negate) {
-                $this->log(3, "skipped $file (meant for $atts[platform], we are ".$os->getSignature().")");
+                $this->log(3, "skipped $file (meant for {$atts['platform']}, we are ".$os->getSignature().")");
                 return PEAR_INSTALLER_SKIPPED;
             }
@@ -264,5 +264,5 @@
                 break;
             default:
-                return $this->raiseError("Invalid role `$atts[role]' for file $file");
+                return $this->raiseError("Invalid role '{$atts['role']}' for file $file");
         }
 
@@ -354,8 +354,8 @@
                     if ($a['type'] == 'php-const') {
                         if (preg_match('/^[a-z0-9_]+\\z/i', $a['to'])) {
-                            eval("\$to = $a[to];");
+                            eval("\$to = {$a['to']};");
                         } else {
                             if (!isset($options['soft'])) {
-                                $this->log(0, "invalid php-const replacement: $a[to]");
+                                $this->log(0, "invalid php-const replacement: {$a['to']}");
                             }
                             continue;
@@ -374,5 +374,5 @@
                         if (is_null($to)) {
                             if (!isset($options['soft'])) {
-                                $this->log(0, "invalid pear-config replacement: $a[to]");
+                                $this->log(0, "invalid pear-config replacement: {$a['to']}");
                             }
                             continue;
@@ -383,5 +383,5 @@
                         } else {
                             if (!isset($options['soft'])) {
-                                $this->log(0, "invalid package-info replacement: $a[to]");
+                                $this->log(0, "invalid package-info replacement: {$a['to']}");
                             }
                             continue;
@@ -1586,5 +1586,5 @@
                 }
 
-                $this->log(3, "+ cp $ext[file] $copyto");
+                $this->log(3, "+ cp {$ext['file']} $copyto");
                 $this->addFileOperation('rename', array($ext['file'], $copyto));
                 if (!OS_WINDOWS) {
Index: trunk/library/PEAR/PEAR/Downloader.php
===================================================================
--- trunk/library/PEAR/PEAR/Downloader.php	(revision 7655)
+++ trunk/library/PEAR/PEAR/Downloader.php	(revision 7681)
@@ -1633,5 +1633,5 @@
 
             if (isset($lastmodified['ETag'])) {
-                $ifmodifiedsince .= "If-None-Match: $lastmodified[ETag]\r\n";
+                $ifmodifiedsince .= "If-None-Match: {$lastmodified['ETag']}\r\n";
             }
         } else {
Index: trunk/library/PEAR/PEAR/PackageFile/Generator/v1.php
===================================================================
--- trunk/library/PEAR/PEAR/PackageFile/Generator/v1.php	(revision 5146)
+++ trunk/library/PEAR/PEAR/PackageFile/Generator/v1.php	(revision 7681)
@@ -204,5 +204,5 @@
 " <name>$pkginfo[package]</name>";
         if (isset($pkginfo['extends'])) {
-            $ret .= "\n<extends>$pkginfo[extends]</extends>";
+            $ret .= "\n<extends>{$pkginfo['extends']}</extends>";
         }
         $ret .=
@@ -251,14 +251,14 @@
         $ret = "$indent <release>\n";
         if (!empty($pkginfo['version'])) {
-            $ret .= "$indent  <version>$pkginfo[version]</version>\n";
+            $ret .= "$indent  <version>{$pkginfo['version']}</version>\n";
         }
         if (!empty($pkginfo['release_date'])) {
-            $ret .= "$indent  <date>$pkginfo[release_date]</date>\n";
+            $ret .= "$indent  <date>{$pkginfo['release_date']}</date>\n";
         }
         if (!empty($pkginfo['release_license'])) {
-            $ret .= "$indent  <license>$pkginfo[release_license]</license>\n";
+            $ret .= "$indent  <license>{$pkginfo['release_license']}</license>\n";
         }
         if (!empty($pkginfo['release_state'])) {
-            $ret .= "$indent  <state>$pkginfo[release_state]</state>\n";
+            $ret .= "$indent  <state>{$pkginfo['release_state']}</state>\n";
         }
         if (!empty($pkginfo['release_notes'])) {
@@ -272,13 +272,13 @@
             $ret .= "$indent  <deps>\n";
             foreach ($pkginfo['release_deps'] as $dep) {
-                $ret .= "$indent   <dep type=\"$dep[type]\" rel=\"$dep[rel]\"";
+                $ret .= "$indent   <dep type=\"{$dep['type']}\" rel=\"{$dep['rel']}\"";
                 if (isset($dep['version'])) {
-                    $ret .= " version=\"$dep[version]\"";
+                    $ret .= " version=\"{$dep['version']}\"";
                 }
                 if (isset($dep['optional'])) {
-                    $ret .= " optional=\"$dep[optional]\"";
+                    $ret .= " optional=\"{$dep['optional']}\"";
                 }
                 if (isset($dep['name'])) {
-                    $ret .= ">$dep[name]</dep>\n";
+                    $ret .= ">{$dep['name']}</dep>\n";
                 } else {
                     $ret .= "/>\n";
@@ -302,8 +302,8 @@
         if (isset($pkginfo['provides'])) {
             foreach ($pkginfo['provides'] as $key => $what) {
-                $ret .= "$indent  <provides type=\"$what[type]\" ";
-                $ret .= "name=\"$what[name]\" ";
+                $ret .= "$indent  <provides type=\"{$what['type']}\" ";
+                $ret .= "name=\"{$what['name']}\" ";
                 if (isset($what['extends'])) {
-                    $ret .= "extends=\"$what[extends]\" ";
+                    $ret .= "extends=\"{$what['extends']}\" ";
                 }
                 $ret .= "/>\n";
@@ -319,5 +319,5 @@
                         $fa['role'] = '';
                     }
-                    $ret .= "$indent   <file role=\"$fa[role]\"";
+                    $ret .= "$indent   <file role=\"{$fa['role']}\"";
                     if (isset($fa['baseinstalldir'])) {
                         $ret .= ' baseinstalldir="' .
@@ -325,8 +325,8 @@
                     }
                     if (isset($fa['md5sum'])) {
-                        $ret .= " md5sum=\"$fa[md5sum]\"";
+                        $ret .= " md5sum=\"{$fa['md5sum']}\"";
                     }
                     if (isset($fa['platform'])) {
-                        $ret .= " platform=\"$fa[platform]\"";
+                        $ret .= " platform=\"{$fa['platform']}\"";
                     }
                     if (!empty($fa['install-as'])) {
@@ -427,5 +427,5 @@
     function _formatFile($file, $attributes, $indent)
     {
-        $ret = "$indent   <file role=\"$attributes[role]\"";
+        $ret = "$indent   <file role=\"{$attributes['role']}\"";
         if (isset($attributes['baseinstalldir'])) {
             $ret .= ' baseinstalldir="' .
@@ -433,8 +433,8 @@
         }
         if (isset($attributes['md5sum'])) {
-            $ret .= " md5sum=\"$attributes[md5sum]\"";
+            $ret .= " md5sum=\"{$attributes['md5sum']}\"";
         }
         if (isset($attributes['platform'])) {
-            $ret .= " platform=\"$attributes[platform]\"";
+            $ret .= " platform=\"{$attributes['platform']}\"";
         }
         if (!empty($attributes['install-as'])) {
Index: trunk/library/PEAR/PEAR/PackageFile/Parser/v1.php
===================================================================
--- trunk/library/PEAR/PEAR/PackageFile/Parser/v1.php	(revision 5146)
+++ trunk/library/PEAR/PEAR/PackageFile/Parser/v1.php	(revision 7681)
@@ -269,5 +269,5 @@
                 }
                 $attribs['explicit'] = true;
-                $this->_packageInfo['provides']["$attribs[type];$attribs[name]"] = $attribs;
+                $this->_packageInfo['provides']["{$attribs['type']};{$attribs['name']}"] = $attribs;
                 break;
             case 'package' :
Index: trunk/library/PEAR/PEAR/ChannelFile.php
===================================================================
--- trunk/library/PEAR/PEAR/ChannelFile.php	(revision 5146)
+++ trunk/library/PEAR/PEAR/ChannelFile.php	(revision 7681)
@@ -459,5 +459,5 @@
             . $channelInfo['attribs']['version'] . " http://pear.php.net/dtd/channel-" .
             $channelInfo['attribs']['version'] . ".xsd\">
- <name>$channelInfo[name]</name>
+ <name>{$channelInfo['name']}</name>
  <summary>" . htmlspecialchars($channelInfo['summary'])."</summary>
 ";
Index: trunk/library/PEAR/PEAR/Task/Replace.php
===================================================================
--- trunk/library/PEAR/PEAR/Task/Replace.php	(revision 5146)
+++ trunk/library/PEAR/PEAR/Task/Replace.php	(revision 7681)
@@ -124,5 +124,5 @@
                         $to = $chan->getServer();
                     } else {
-                        $this->logger->log(0, "$dest: invalid pear-config replacement: $a[to]");
+                        $this->logger->log(0, "$dest: invalid pear-config replacement: {$a['to']}");
                         return false;
                     }
@@ -140,5 +140,5 @@
                 }
                 if (is_null($to)) {
-                    $this->logger->log(0, "$dest: invalid pear-config replacement: $a[to]");
+                    $this->logger->log(0, "$dest: invalid pear-config replacement: {$a['to']}");
                     return false;
                 }
@@ -150,5 +150,5 @@
                     $to = constant($a['to']);
                 } else {
-                    $this->logger->log(0, "$dest: invalid php-const replacement: $a[to]");
+                    $this->logger->log(0, "$dest: invalid php-const replacement: {$a['to']}");
                     return false;
                 }
@@ -157,5 +157,5 @@
                     $to = $t;
                 } else {
-                    $this->logger->log(0, "$dest: invalid package-info replacement: $a[to]");
+                    $this->logger->log(0, "$dest: invalid package-info replacement: {$a['to']}");
                     return false;
                 }
Index: trunk/library/PEAR/PEAR/REST.php
===================================================================
--- trunk/library/PEAR/PEAR/REST.php	(revision 5146)
+++ trunk/library/PEAR/PEAR/REST.php	(revision 7681)
@@ -377,5 +377,5 @@
 
             if (isset($lastmodified['ETag'])) {
-                $ifmodifiedsince .= "If-None-Match: $lastmodified[ETag]\r\n";
+                $ifmodifiedsince .= "If-None-Match: {$lastmodified['ETag']}\r\n";
             }
         } else {
Index: trunk/library/PEAR/PEAR/Builder.php
===================================================================
--- trunk/library/PEAR/PEAR/Builder.php	(revision 5146)
+++ trunk/library/PEAR/PEAR/Builder.php	(revision 7681)
@@ -333,7 +333,7 @@
                 if (substr($o['name'], 0, 5) == 'with-' &&
                     ($r == 'yes' || $r == 'autodetect')) {
-                    $configure_command .= " --$o[name]";
+                    $configure_command .= " --{$o['name']}";
                 } else {
-                    $configure_command .= " --$o[name]=".trim($r);
+                    $configure_command .= " --{$o['name']}=".trim($r);
                 }
             }
Index: trunk/library/PEAR/PEAR/Command/Remote.php
===================================================================
--- trunk/library/PEAR/PEAR/Command/Remote.php	(revision 7655)
+++ trunk/library/PEAR/PEAR/Command/Remote.php	(revision 7681)
@@ -623,5 +623,5 @@
         $downloaded = $downloader->getDownloadedPackages();
         foreach ($downloaded as $pkg) {
-            $this->ui->outputData("File $pkg[file] downloaded", $command);
+            $this->ui->outputData("File {$pkg['file']} downloaded", $command);
         }
 
Index: trunk/library/PEAR/PEAR/Command/Registry.php
===================================================================
--- trunk/library/PEAR/PEAR/Command/Registry.php	(revision 5146)
+++ trunk/library/PEAR/PEAR/Command/Registry.php	(revision 7681)
@@ -514,5 +514,5 @@
                                 $mstr .= $m['handle'] . '@php.net';
                             }
-                            $mstr .= "> ($m[role])";
+                            $mstr .= "> ({$m['role']})";
                         }
                         $info[$key] = $mstr;
@@ -866,5 +866,5 @@
                     $info[$infoindex] .= "$type $name";
                     if (isset($package['uri'])) {
-                        $info[$infoindex] .= "\n  Download URI: $package[uri]";
+                        $info[$infoindex] .= "\n  Download URI: {$package['uri']}";
                         continue;
                     }
@@ -882,5 +882,5 @@
 
                     if (isset($package['recommended'])) {
-                        $info[$infoindex] .= "\n  Recommended version: $package[recommended]";
+                        $info[$infoindex] .= "\n  Recommended version: {$package['recommended']}";
                     }
 
@@ -920,8 +920,8 @@
                         $info['Not Compatible with'] .= "\n";
                     }
-                    $info['Not Compatible with'] .= "$os[name] Operating System";
+                    $info['Not Compatible with'] .= "{$os['name']} Operating System";
                 } else {
                     $info['Required Dependencies'] .= "\n";
-                    $info['Required Dependencies'] .= "$os[name] Operating System";
+                    $info['Required Dependencies'] .= "{$os['name']} Operating System";
                 }
             }
@@ -940,8 +940,8 @@
                         $info['Not Compatible with'] .= "\n";
                     }
-                    $info['Not Compatible with'] .= "OS/Arch matching pattern '/$os[pattern]/'";
+                    $info['Not Compatible with'] .= "OS/Arch matching pattern '/{$os['pattern']}/'";
                 } else {
                     $info['Required Dependencies'] .= "\n";
-                    $info['Required Dependencies'] .= "OS/Arch matching pattern '/$os[pattern]/'";
+                    $info['Required Dependencies'] .= "OS/Arch matching pattern '/{$os['pattern']}/'";
                 }
             }
@@ -1006,5 +1006,5 @@
 
                         if (isset($package['recommended'])) {
-                            $info[$infoindex] .= "\n  Recommended version: $package[recommended]";
+                            $info[$infoindex] .= "\n  Recommended version: {$package['recommended']}";
                         }
 
@@ -1066,5 +1066,5 @@
                                 }
 
-                                $info[$groupindex] .= "\n  Download URI: $package[uri]";
+                                $info[$groupindex] .= "\n  Download URI: {$package['uri']}";
                                 continue;
                             }
@@ -1088,5 +1088,5 @@
 
                             if (isset($package['recommended'])) {
-                                $info[$groupindex] .= "\n  Recommended version: $package[recommended]";
+                                $info[$groupindex] .= "\n  Recommended version: {$package['recommended']}";
                             }
 
@@ -1119,5 +1119,5 @@
                 if (isset($package['uri'])) {
                     $info['Bundled Packages'] .= '__uri/' . $package['name'];
-                    $info['Bundled Packages'] .= "\n  (URI: $package[uri]";
+                    $info['Bundled Packages'] .= "\n  (URI: {$package['uri']}";
                 } else {
                     $info['Bundled Packages'] .= $package['channel'] . '/' . $package['name'];
Index: trunk/library/PEAR/PEAR/Command/Common.php
===================================================================
--- trunk/library/PEAR/PEAR/Command/Common.php	(revision 5146)
+++ trunk/library/PEAR/PEAR/Command/Common.php	(revision 7681)
@@ -223,6 +223,6 @@
                         $lapp = "[=$arg]";
                     } else {
-                        $sapp = " $v[arg]";
-                        $lapp = "=$v[arg]";
+                        $sapp = " {$v['arg']}";
+                        $lapp = "={$v['arg']}";
                     }
                 } else {
Index: trunk/mobile/inc/class.ui_mobilemail.inc.php
===================================================================
--- trunk/mobile/inc/class.ui_mobilemail.inc.php	(revision 7655)
+++ trunk/mobile/inc/class.ui_mobilemail.inc.php	(revision 7681)
@@ -459,9 +459,9 @@
 			
 			$messages = $this->imap_functions->get_range_msgs2($params);
-			if($params['msg_range_end']<$messages[num_msgs])
+			if($params['msg_range_end']<$messages['num_msgs'])
 				$p->set_var("show_more","block");
 			else
 				$p->set_var("show_more","none");
-			$this->number_of_messages = $messages[num_msgs];
+			$this->number_of_messages = $messages['num_msgs'];
 			
 			unset($messages["offsetToGMT"]);
Index: trunk/filemanager/inc/class.uifilemanager.inc.php
===================================================================
--- trunk/filemanager/inc/class.uifilemanager.inc.php	(revision 7673)
+++ trunk/filemanager/inc/class.uifilemanager.inc.php	(revision 7681)
@@ -155,10 +155,10 @@
 		// check if basedir exist 
 		$test = $this->bo->vfs->get_real_info(array('string' => $this->bo->basedir, 'relatives' => array(RELATIVE_NONE), 'relative' => False));
-		if ($test[mime_type] != 'Directory') {
+		if ($test['mime_type'] != 'Directory') {
 			die('Base directory does not exist, Ask adminstrator to check the global configuration.');
 		}
 
 		$test = $this->bo->vfs->get_real_info(array('string' => $this->bo->basedir . $this->bo->fakebase, 'relatives' => array(RELATIVE_NONE), 'relative' => False));
-		if ($test[mime_type] != 'Directory') {
+		if ($test['mime_type'] != 'Directory') {
 			$this->bo->vfs->override_acl = 1;
 
@@ -173,5 +173,5 @@
 			$test = $this->bo->vfs->get_real_info(array('string' => $this->bo->basedir . $this->bo->fakebase, 'relatives' => array(RELATIVE_NONE), 'relative' => False));
 
-			if ($test[mime_type] != 'Directory') {
+			if ($test['mime_type'] != 'Directory') {
 				die('Fake Base directory does not exist and could not be created, please ask the administrator to check the global configuration.');
 			} else {
@@ -181,5 +181,5 @@
 
 		$test = $this->bo->vfs->get_real_info(array('string' => $this->bo->basedir . $this->bo->homedir, 'relatives' => array(RELATIVE_NONE), 'relative' => False));
-		if ($test[mime_type] != 'Directory') {
+		if ($test['mime_type'] != 'Directory') {
 			
 			$c_admin = CreateObject('phpgwapi.config', 'expressoAdmin1_2');
@@ -205,5 +205,5 @@
 			$test = $this->bo->vfs->get_real_info(array('string' => $this->bo->basedir . $this->bo->homedir, 'relatives' => array(RELATIVE_NONE), 'relative' => False));
 
-			if ($test[mime_type] != 'Directory') {
+			if ($test['mime_type'] != 'Directory') {
 				die('Your Home Dir does not exist and could not be created, please ask the adminstrator to check the global configuration.');
 			} else {
@@ -622,30 +622,30 @@
 
 		if ($this->numoffiles || $this->cwd) {
-			$vars[path] = '<input type="hidden" id="currentPath" value="' . $this->path . '">';
-			$vars[css] = '<link rel="stylesheet" type="text/css" href="filemanager/templates/default/main.css">';
-			$vars[css].='<link rel="stylesheet" type="text/css" href="phpgwapi/js/dftree/dftree.css">';
+			$vars['path'] = '<input type="hidden" id="currentPath" value="' . $this->path . '">';
+			$vars['css'] = '<link rel="stylesheet" type="text/css" href="filemanager/templates/default/main.css">';
+			$vars['css'].='<link rel="stylesheet" type="text/css" href="phpgwapi/js/dftree/dftree.css">';
 			$_SESSION['phpgw_info']['user']['preferences']['filemanager']['lid'] = $GLOBALS['phpgw_info']['user']['account_lid'];
-			$vars[preferences] = '<input type="hidden" id="userPreferences" value=\'' . serialize($_SESSION['phpgw_info']['user']['preferences']['filemanager']) . '\'>';
+			$vars['preferences'] = '<input type="hidden" id="userPreferences" value=\'' . serialize($_SESSION['phpgw_info']['user']['preferences']['filemanager']) . '\'>';
 			// Used for important operations that needs security
 			for ($key = ""; strlen($key) < 150; $key .= chr(rand(48, 95)))
 				;
 			$_SESSION['phpgw_info']['filemanager']['user']['sec_key'] = $key;
-			$vars[sec_key] = '<input type="hidden" id="userKey" value=\'' . $key . '\'>';
-			$vars[script] = '<script>initDrawApi();</script>';
-
-			$vars[new_button] = $this->toolButton('new', 'createfile', lang('New...'));
-			$vars[new_button].='<input type="hidden" id="newfile_or_dir" name="newfile_or_dir" value="" />';
+			$vars['sec_key'] = '<input type="hidden" id="userKey" value=\'' . $key . '\'>';
+			$vars['script'] = '<script>initDrawApi();</script>';
+
+			$vars['new_button'] = $this->toolButton('new', 'createfile', lang('New...'));
+			$vars['new_button'].='<input type="hidden" id="newfile_or_dir" name="newfile_or_dir" value="" />';
 
 			// reload button with this url
-			$vars[refresh_button] = $this->toolButton('reload', 'reload', lang('reload'));
+			$vars['refresh_button'] = $this->toolButton('reload', 'reload', lang('reload'));
 
 			// go up icon when we're not at the top, dont allow to go outside /home = fakebase
 			if ($this->path != '/' && $this->path != $this->bo->fakebase) {
-				$vars[tools_button] = $this->toolButton('tools', 'tools', lang('tools'));
+				$vars['tools_button'] = $this->toolButton('tools', 'tools', lang('tools'));
 			}
 			else
-				$vars[tools_button] = "";
-
-			$vars[toolbar1] = $toolbar;
+				$vars['tools_button'] = "";
+
+			$vars['toolbar1'] = $toolbar;
 
 			if (count($this->messages) > 0) {
@@ -656,5 +656,5 @@
 			$this->messages = NULL;
 
-			$vars[messages] = $messages;
+			$vars['messages'] = $messages;
 
 			$this->t->set_var($vars);
@@ -815,5 +815,5 @@
 		$var = array(
 			 'change_upload_boxes'	=> lang('Show'),
-			 'form_action'			=> $GLOBALS[phpgw]->link('/filemanager/inc/upload.php'),
+			 'form_action'			=> $GLOBALS['phpgw']->link('/filemanager/inc/upload.php'),
 			 'emails_to'				=> $notify->EmailsToSend($GLOBALS['phpgw']->preferences->values['email']),
 			 'lang_file'				=> lang('File(s)'),
@@ -906,7 +906,7 @@
 
 
-		$vars[refresh_script] = "<script src='filemanager/js/refresh.js'></script>";
-
-		$vars[preview_content] = '';
+		$vars['refresh_script'] = "<script src='filemanager/js/refresh.js'></script>";
+
+		$vars['preview_content'] = '';
 		if ($this->edit_file) {
 			$this->edit_file_content = stripslashes($this->edit_file_content);
@@ -916,7 +916,7 @@
 			$content = $this->edit_file_content;
 
-			$vars[lang_preview_of] = lang('Preview of %1', $this->path . '/' . $edit_file);
-
-			$vars[preview_content] = nl2br($content);
+			$vars['lang_preview_of'] = lang('Preview of %1', $this->path . '/' . $edit_file);
+
+			$vars['preview_content'] = nl2br($content);
 		} elseif ($this->edit_save_x || $this->edit_save_done_x) {
 			$content = $this->edit_file_content;
@@ -954,6 +954,6 @@
 				$content = $this->bo->vfs->read(array('string' => $this->filename));
 			}
-			$vars[form_action] = $GLOBALS['phpgw']->link('/index.php', 'menuaction=filemanager.uifilemanager.index', 'path=' . $this->path);
-			$vars[edit_file] = $this->filename;
+			$vars['form_action'] = $GLOBALS['phpgw']->link('/index.php', 'menuaction=filemanager.uifilemanager.index', 'path=' . $this->path);
+			$vars['edit_file'] = $this->filename;
 			# We need to include all of the fileman entries for each file's form,
 			# so we loop through again
@@ -961,15 +961,15 @@
 				if ($this->filename)
 					$value = 'value="' . $this->filename . '"';
-				$vars[filemans_hidden] = '<input type="hidden" name="filename" ' . $value . ' />';
-			}
-			$vars[file_content] = $content;
-
-			$vars[buttonPreview] = $this->inputButton('edit_preview', 'edit_preview', lang('Preview %1', $this->bo->html_encode($this->fileman[0], 1)));
-			$vars[buttonSave] = $this->inputButton('edit_save', 'save', lang('Save %1', $this->bo->html_encode($this->filename, 1)));
-			$vars[buttonDone] = $this->inputButton('edit_save_done', 'ok', lang('Save %1, and go back to file listing ', $this->bo->html_encode($this->filename, 1)));
-			$vars[buttonCancel] = $this->inputButton('edit_cancel', 'cancel', lang('Cancel editing %1 without saving', $this->bo->html_encode($this->filename, 1)));
+				$vars['filemans_hidden'] = '<input type="hidden" name="filename" ' . $value . ' />';
+			}
+			$vars['file_content'] = $content;
+
+			$vars['buttonPreview'] = $this->inputButton('edit_preview', 'edit_preview', lang('Preview %1', $this->bo->html_encode($this->fileman[0], 1)));
+			$vars['buttonSave'] = $this->inputButton('edit_save', 'save', lang('Save %1', $this->bo->html_encode($this->filename, 1)));
+			$vars['buttonDone'] = $this->inputButton('edit_save_done', 'ok', lang('Save %1, and go back to file listing ', $this->bo->html_encode($this->filename, 1)));
+			$vars['buttonCancel'] = $this->inputButton('edit_cancel', 'cancel', lang('Cancel editing %1 without saving', $this->bo->html_encode($this->filename, 1)));
 
 			if ($mime_type == 'text/html') {
-				$vars[fck_edit] = '<script type="text/javascript" src="./library/ckeditor/ckeditor.js"></script>
+				$vars['fck_edit'] = '<script type="text/javascript" src="./library/ckeditor/ckeditor.js"></script>
 					<textarea cols="80" id="edit_file_content" name="edit_file_content" rows="10">' . $content . '</textarea>
 						<script type="text/javascript"> CKEDITOR.replace( \'edit_file_content\',{
@@ -1144,5 +1144,5 @@
 			$test = $this->bo->vfs->get_real_info(array('string' => $this->bo->fakebase . '/' . $group_array['account_name'],
 							'relatives' => array(RELATIVE_NONE), 'relative' => False));
-			if ($test[mime_type] != 'Directory') {
+			if ($test['mime_type'] != 'Directory') {
 				continue;
 			}
Index: trunk/expressoAdmin1_2/inc/class.boconfiguration.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.boconfiguration.inc.php	(revision 5144)
+++ trunk/expressoAdmin1_2/inc/class.boconfiguration.inc.php	(revision 7681)
@@ -166,5 +166,5 @@
                $params['inputTextMaximumRecipientsGroupModal'] = 0 ;
 
-            foreach ($params[selectGroupsInRule] as $groupInRule)
+            foreach ($params['selectGroupsInRule'] as $groupInRule)
             {
                 //Verifica se este usuario Já tem uma regra
Index: trunk/expressoAdmin1_2/inc/class.uimanagers.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.uimanagers.inc.php	(revision 7655)
+++ trunk/expressoAdmin1_2/inc/class.uimanagers.inc.php	(revision 7681)
@@ -112,9 +112,9 @@
 					$ldap_search = ldap_search($ldap_conn, $GLOBALS['phpgw_info']['server']['ldap_context'], $filter, $justthese);
 					$ldap_result = ldap_get_entries($ldap_conn, $ldap_search);
-					$p->set_var('manager_lid', $array_managers[manager_lid]);
+					$p->set_var('manager_lid', $array_managers['manager_lid']);
 					$p->set_var('manager_cn', $ldap_result[0]['cn'][0] == '' ? '<font color=red>NAO ENCONTRADO NO LDAP</font>' : $ldap_result[0]['cn'][0]);
 					$p->set_var('context', $managers_context);
-					$p->set_var('link_edit',$this->row_action('edit','edit_managers',$array_managers[manager_lid],$array_managers[context]));
-					$p->set_var('link_delete',$this->row_action('delete','delete_managers',$array_managers[manager_lid],$array_managers[context]));
+					$p->set_var('link_edit',$this->row_action('edit','edit_managers',$array_managers['manager_lid'],$array_managers['context']));
+					$p->set_var('link_delete',$this->row_action('delete','delete_managers',$array_managers['manager_lid'],$array_managers['context']));
 					$p->set_var('link_copy',"<a href='#' onClick='javascript:copy_manager(\"".$array_managers['manager_lid']."\");'>Copiar</a>");
 					$p->fp('rows','row',True);
Index: trunk/expressoAdmin1_2/inc/class.functions.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.functions.inc.php	(revision 7655)
+++ trunk/expressoAdmin1_2/inc/class.functions.inc.php	(revision 7681)
@@ -120,160 +120,160 @@
 			{
 				case list_users:
-					if ($array_acl[acl_add_users] || $array_acl[acl_edit_users] || $array_acl[acl_delete_users] || $array_acl[acl_change_users_password] || $array_acl[acl_change_users_quote] || $array_acl[acl_edit_sambausers_attributes] || $array_acl[acl_view_users] || $array_acl[acl_manipulate_corporative_information])
+					if ($array_acl['acl_add_users'] || $array_acl['acl_edit_users'] || $array_acl['acl_delete_users'] || $array_acl['acl_change_users_password'] || $array_acl['acl_change_users_quote'] || $array_acl['acl_edit_sambausers_attributes'] || $array_acl['acl_view_users'] || $array_acl['acl_manipulate_corporative_information'])
 						return true;
 					break;
 				case add_users:
-					if ($array_acl[acl_add_users])
+					if ($array_acl['acl_add_users'])
 						return true;
 					break;
 				case edit_users:
-					if ($array_acl[acl_edit_users])
+					if ($array_acl['acl_edit_users'])
 						return true;
 					break;
 				case delete_users:
-					if ($array_acl[acl_delete_users])
+					if ($array_acl['acl_delete_users'])
 						return true;
 					break;
 				case rename_users:
-					if ($array_acl[acl_rename_users])
+					if ($array_acl['acl_rename_users'])
 						return true;
 					break;
 				case view_users:
-					if ($array_acl[acl_view_users])
+					if ($array_acl['acl_view_users'])
 						return true;
 					break;
 				case edit_users_picture:
-					if ($array_acl[acl_edit_users_picture])
+					if ($array_acl['acl_edit_users_picture'])
 						return true;
 					break;
 				case manipulate_corporative_information:
-					if ($array_acl[acl_manipulate_corporative_information])
+					if ($array_acl['acl_manipulate_corporative_information'])
 						return true;
 					break;
 				case change_users_password:
-					if ($array_acl[acl_change_users_password])
+					if ($array_acl['acl_change_users_password'])
 						return true;
 					break;
 				case change_users_quote:
-					if ($array_acl[acl_change_users_quote])
+					if ($array_acl['acl_change_users_quote'])
 						return true;
 					break;
 				case set_user_default_password:
-					if ($array_acl[acl_set_user_default_password])
+					if ($array_acl['acl_set_user_default_password'])
 						return true;
 					break;
 				case empty_user_inbox:
-					if (($array_acl[acl_empty_user_inbox]) && ($array_acl[acl_edit_users]))
+					if (($array_acl['acl_empty_user_inbox']) && ($array_acl['acl_edit_users']))
 						return true;
 					break;
 				case edit_sambausers_attributes:				case list_maillists:
-					if ($array_acl[acl_add_maillists] || $array_acl[acl_edit_maillists] || $array_acl[acl_delete_maillists])
-						return true;
-					break;
-
-					if ($array_acl[acl_edit_sambausers_attributes])
+					if ($array_acl['acl_add_maillists'] || $array_acl['acl_edit_maillists'] || $array_acl['acl_delete_maillists'])
+						return true;
+					break;
+
+					if ($array_acl['acl_edit_sambausers_attributes'])
 						return true;
 					break;
 				case edit_sambadomains:
-					if ($array_acl[acl_edit_sambadomains])
+					if ($array_acl['acl_edit_sambadomains'])
 						return true;
 					break;
 				
 				case list_groups:
-					if ($array_acl[acl_add_groups] || $array_acl[acl_edit_groups] || $array_acl[acl_delete_groups])
+					if ($array_acl['acl_add_groups'] || $array_acl['acl_edit_groups'] || $array_acl['acl_delete_groups'])
 						return true;
 					break;
 				case add_groups:
-					if ($array_acl[acl_add_groups])
+					if ($array_acl['acl_add_groups'])
 						return true;
 					break;
 				case edit_groups:
-					if ($array_acl[acl_edit_groups])
+					if ($array_acl['acl_edit_groups'])
 						return true;
 					break;
 				case delete_groups:
-					if ($array_acl[acl_delete_groups])
+					if ($array_acl['acl_delete_groups'])
 						return true;
 					break;
 				case edit_email_groups:
-					if ($array_acl[acl_edit_email_groups])
+					if ($array_acl['acl_edit_email_groups'])
 						return true;
 					break;
 				
 				case list_maillists:
-					if ($array_acl[acl_add_maillists] || $array_acl[acl_edit_maillists] || $array_acl[acl_delete_maillists])
+					if ($array_acl['acl_add_maillists'] || $array_acl['acl_edit_maillists'] || $array_acl['acl_delete_maillists'])
 						return true;
 					break;
 				case add_maillists:
-					if ($array_acl[acl_add_maillists])
+					if ($array_acl['acl_add_maillists'])
 						return true;
 					break;
 				case edit_maillists:
-					if ($array_acl[acl_edit_maillists])
+					if ($array_acl['acl_edit_maillists'])
 						return true;
 					break;
 				case delete_maillists:
-					if ($array_acl[acl_delete_maillists])
+					if ($array_acl['acl_delete_maillists'])
 						return true;
 					break;
 
 				case list_sectors:
-					if ($array_acl[acl_create_sectors] || $array_acl[acl_edit_sectors] || $array_acl[acl_delete_sectors])
+					if ($array_acl['acl_create_sectors'] || $array_acl['acl_edit_sectors'] || $array_acl['acl_delete_sectors'])
 						return true;
 					break;
 				case create_sectors:
-					if ($array_acl[acl_create_sectors])
+					if ($array_acl['acl_create_sectors'])
 						return true;
 					break;
 				case edit_sectors:
-					if ($array_acl[acl_edit_sectors])
+					if ($array_acl['acl_edit_sectors'])
 						return true;
 					break;
 				case delete_sectors:
-					if ($array_acl[acl_delete_sectors])
+					if ($array_acl['acl_delete_sectors'])
 						return true;
 					break;
 
 				case view_global_sessions:
-					if ($array_acl[acl_view_global_sessions])
+					if ($array_acl['acl_view_global_sessions'])
 						return true;
 					break;
 
 				case list_computers:
-					if ($array_acl[acl_create_computers] || $array_acl[acl_edit_computers] || $array_acl[acl_delete_computers])
+					if ($array_acl['acl_create_computers'] || $array_acl['acl_edit_computers'] || $array_acl['acl_delete_computers'])
 						return true;
 					break;
 				case create_computers:
-					if ($array_acl[acl_create_computers])
+					if ($array_acl['acl_create_computers'])
 						return true;
 					break;
 				case edit_computers:
-					if ($array_acl[acl_edit_computers])
+					if ($array_acl['acl_edit_computers'])
 						return true;
 					break;
 				case delete_computers:
-					if ($array_acl[acl_delete_computers])
+					if ($array_acl['acl_delete_computers'])
 						return true;
 					break;
 
 				case view_logs:
-					if ($array_acl[acl_view_logs])
+					if ($array_acl['acl_view_logs'])
 						return true;
 					break;
 			
 				case display_groups:
-					if ( $array_acl[acl_edit_users] || $array_acl[acl_view_users] || ($array_acl[acl_edit_sambausers_attributes] && ($this->current_config['expressoAdmin_samba_support'] == 'true')) )
+					if ( $array_acl['acl_edit_users'] || $array_acl['acl_view_users'] || ($array_acl['acl_edit_sambausers_attributes'] && ($this->current_config['expressoAdmin_samba_support'] == 'true')) )
 						return true;
 					break;
 				case display_emailconfig:
-					if ($array_acl[acl_edit_users] || $array_acl[acl_view_users])
+					if ($array_acl['acl_edit_users'] || $array_acl['acl_view_users'])
 						return true;
 					break;
 				case display_applications:
-					if ($array_acl[acl_edit_users] || $array_acl[acl_view_users])
+					if ($array_acl['acl_edit_users'] || $array_acl['acl_view_users'])
 						return true;
 					break;
 				case display_emaillists:
-					if ($array_acl[acl_edit_users] || $array_acl[acl_view_users])
+					if ($array_acl['acl_edit_users'] || $array_acl['acl_view_users'])
 						return true;
 					break;
Index: trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 7673)
+++ trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 7681)
@@ -382,5 +382,5 @@
 		if ($anchor != $dn)
 		{
-			if (!@ldap_rename($this->ldap, $params['anchor'], "uid=$params[uid]", $params['context'], true))
+			if (!@ldap_rename($this->ldap, $params['anchor'], "uid={$params['uid']}", $params['context'], true))
 			{
 				$result['status'] = false;
@@ -467,5 +467,5 @@
 				return $result;
 			}			                  
-			$dn = "uid=$params[uid]," . $params['context'];
+			$dn = "uid={$params['uid']}," . $params['context'];
                         $filter = "(mail=".$params['mail'].")";
 			$justthese = array("cn");
Index: trunk/listAdmin/inc/class.functions.inc.php
===================================================================
--- trunk/listAdmin/inc/class.functions.inc.php	(revision 7655)
+++ trunk/listAdmin/inc/class.functions.inc.php	(revision 7681)
@@ -44,131 +44,131 @@
 			{
 				case list_users:
-					if ($array_acl[add_users] || $array_acl[edit_users] || $array_acl[delete_users] || $array_acl[change_users_password] || $array_acl[change_users_quote] || $array_acl[edit_sambausers_attributes] || $array_acl[view_users])
+					if ($array_acl['add_users'] || $array_acl['edit_users'] || $array_acl['delete_users'] || $array_acl['change_users_password'] || $array_acl['change_users_quote'] || $array_acl['edit_sambausers_attributes'] || $array_acl['view_users'])
 						return true;
 					break;
 				case add_users:
-					if ($array_acl[add_users])
+					if ($array_acl['add_users'])
 						return true;
 					break;
 				case edit_users:
-					if ($array_acl[edit_users])
+					if ($array_acl['edit_users'])
 						return true;
 					break;
 				case delete_users:
-					if ($array_acl[delete_users])
+					if ($array_acl['delete_users'])
 						return true;
 					break;
 				case rename_users:
-					if ($array_acl[rename_users])
+					if ($array_acl['rename_users'])
 						return true;
 					break;
 				case view_users:
-					if ($array_acl[view_users])
+					if ($array_acl['view_users'])
 						return true;
 					break;
 				case change_users_password:
-					if ($array_acl[change_users_password])
+					if ($array_acl['change_users_password'])
 						return true;
 					break;
 				case change_users_quote:
-					if ($array_acl[change_users_quote])
+					if ($array_acl['change_users_quote'])
 						return true;
 					break;
 				case set_user_default_password:
-					if ($array_acl[set_user_default_password])
+					if ($array_acl['set_user_default_password'])
 						return true;
 					break;
 				case edit_sambausers_attributes:
-					if ($array_acl[edit_sambausers_attributes])
+					if ($array_acl['edit_sambausers_attributes'])
 						return true;
 					break;
 				case edit_sambadomains:
-					if ($array_acl[edit_sambadomains])
+					if ($array_acl['edit_sambadomains'])
 						return true;
 					break;
 				
 				case list_groups:
-					if ($array_acl[add_groups] || $array_acl[edit_groups] || $array_acl[delete_groups])
+					if ($array_acl['add_groups'] || $array_acl['edit_groups'] || $array_acl['delete_groups'])
 						return true;
 					break;
 				case add_groups:
-					if ($array_acl[add_groups])
+					if ($array_acl['add_groups'])
 						return true;
 					break;
 				case edit_groups:
-					if ($array_acl[edit_groups])
+					if ($array_acl['edit_groups'])
 						return true;
 					break;
 				case delete_groups:
-					if ($array_acl[delete_groups])
+					if ($array_acl['delete_groups'])
 						return true;
 					break;
 				case edit_email_groups:
-					if ($array_acl[edit_email_groups])
+					if ($array_acl['edit_email_groups'])
 						return true;
 					break;
 				
 				case list_maillists:
-					if ($array_acl[add_maillists] || $array_acl[edit_maillists] || $array_acl[adm_maillists] || $array_acl[delete_maillists])
+					if ($array_acl['add_maillists'] || $array_acl['edit_maillists'] || $array_acl['adm_maillists'] || $array_acl['delete_maillists'])
 						return true;
 					break;
 				case add_maillists:
-					if ($array_acl[add_maillists])
+					if ($array_acl['add_maillists'])
 						return true;
 					break;
 				case edit_maillists:
-					if ($array_acl[edit_maillists])
+					if ($array_acl['edit_maillists'])
 						return true;
 					break;
 				case adm_maillists:
-					if ($array_acl[adm_maillists])
+					if ($array_acl['adm_maillists'])
 						return true;
 					break;
 				case delete_maillists:
-					if ($array_acl[delete_maillists])
+					if ($array_acl['delete_maillists'])
 						return true;
 					break;
 
 				case list_sectors:
-					if ($array_acl[create_sectors] || $array_acl[edit_sectors] || $array_acl[delete_sectors])
+					if ($array_acl['create_sectors'] || $array_acl['edit_sectors'] || $array_acl['delete_sectors'])
 						return true;
 					break;
 				case create_sectors:
-					if ($array_acl[create_sectors])
+					if ($array_acl['create_sectors'])
 						return true;
 					break;
 				case edit_sectors:
-					if ($array_acl[edit_sectors])
+					if ($array_acl['edit_sectors'])
 						return true;
 					break;
 				case delete_sectors:
-					if ($array_acl[delete_sectors])
+					if ($array_acl['delete_sectors'])
 						return true;
 					break;
 
 				case view_global_sessions:
-					if ($array_acl[view_global_sessions])
+					if ($array_acl['view_global_sessions'])
 						return true;
 					break;
 
 				case list_computers:
-					if ($array_acl[create_computers] || $array_acl[edit_computers] || $array_acl[delete_computers])
+					if ($array_acl['create_computers'] || $array_acl['edit_computers'] || $array_acl['delete_computers'])
 						return true;
 					break;
 				case create_computers:
-					if ($array_acl[create_computers])
+					if ($array_acl['create_computers'])
 						return true;
 					break;
 				case edit_computers:
-					if ($array_acl[edit_computers])
+					if ($array_acl['edit_computers'])
 						return true;
 					break;
 				case delete_computers:
-					if ($array_acl[delete_computers])
+					if ($array_acl['delete_computers'])
 						return true;
 					break;
 
 				case view_logs:
-					if ($array_acl[view_logs])
+					if ($array_acl['view_logs'])
 						return true;
 					break;
@@ -307,5 +307,5 @@
 						foreach ($tmp as $ldap)
 							{
-							if ($ldap[account_id] == $GLOBALS['phpgw']->db->f(0))
+							if ($ldap['account_id'] == $GLOBALS['phpgw']->db->f(0))
 								{
 								$find=true;
Index: trunk/admin/inc/class.uiasyncservice.inc.php
===================================================================
--- trunk/admin/inc/class.uiasyncservice.inc.php	(revision 86)
+++ trunk/admin/inc/class.uiasyncservice.inc.php	(revision 7681)
@@ -153,5 +153,5 @@
 				if (is_array($installed) && isset($installed['cronline']))
 				{
-					echo "$installed[cronline]</p>";
+					echo "{$installed['cronline']}</p>";
 				}
 				elseif ($installed === 0)
@@ -194,11 +194,11 @@
 				foreach($jobs as $job)
 				{
-					//echo "<tr>\n<td>$job[id]</td><td>".$GLOBALS['phpgw']->common->show_date($job['next'])."</td><td>";
-					echo "<tr>\n<td>$job[id]</td><td>".date("d/m/Y H:i", $job['next'])."</td><td>";
+					//echo "<tr>\n<td>{$job['id']}</td><td>".$GLOBALS['phpgw']->common->show_date($job['next'])."</td><td>";
+					echo "<tr>\n<td>{$job['id']}</td><td>".date("d/m/Y H:i", $job['next'])."</td><td>";
 					//print_r($GLOBALS['phpgw']->common->show_date($job['times']));
 					print_r(date("d/m/Y H:i", $job['times']));
-					echo "</td><td>$job[method]</td><td>"; 
+					echo "</td><td>{$job['method']}</td><td>";
 					print_r($job['data']); 
-					echo "</td><td align=\"center\">".$GLOBALS['phpgw']->accounts->id2name($job[account_id])."</td></tr>\n"; 
+					echo "</td><td align=\"center\">".$GLOBALS['phpgw']->accounts->id2name($job['account_id'])."</td></tr>\n";
 				}
 				echo "</table>\n";
Index: trunk/prototype.php
===================================================================
--- trunk/prototype.php	(revision 5136)
+++ trunk/prototype.php	(revision 7681)
@@ -1,1 +1,1 @@
-<? require_once 'prototype/REST.php' ?>
+<?php require_once 'prototype/REST.php' ?>
Index: trunk/about.php
===================================================================
--- trunk/about.php	(revision 6057)
+++ trunk/about.php	(revision 7681)
@@ -37,14 +37,14 @@
 
 			$s = "<table width='70%' cellpadding='4'>\n<tr>
-				  <td align='left'><img src='$icon' alt=\"$info[title]\" /></td><td align='left'><h2>$info[title]</h2></td></tr>"; 
+				  <td align='left'><img src='$icon' alt=\"$info[title]\" /></td><td align='left'><h2>{$info['title']}</h2></td></tr>";
 
 			   if ($info['description'])
 			   {
 				  $info['description'] = lang($info['description']);
-				  $s .= "<tr><td colspan='2' align='left'>$info[description]</td></tr>\n";
+				  $s .= "<tr><td colspan='2' align='left'>{$info['description']}</td></tr>\n";
 				  if ($info['note'])
 				  {
 					 $info['note'] = lang($info['note']);
-					 $s .= "<tr><td colspan='2' align='left'><i>$info[note]</i></td></tr>\n";
+					 $s .= "<tr><td colspan='2' align='left'><i>{$info['note']}</i></td></tr>\n";
 				  }
 
@@ -89,5 +89,5 @@
 			   if ($info['extra_untranslated'])
 			   {
-				  $s .= "<tr><td colspan='2' align='left'>$info[extra_untranslated]</td></tr>\n";
+				  $s .= "<tr><td colspan='2' align='left'>{$info['extra_untranslated']}</td></tr>\n";
 			   }
 			   
Index: trunk/setup/system_charset.php
===================================================================
--- trunk/setup/system_charset.php	(revision 2)
+++ trunk/setup/system_charset.php	(revision 7681)
@@ -65,5 +65,5 @@
 				Header('Location: index.php');
 			}
-			echo '<h3>'.lang("Database successfully converted from '%1' to '%2'",$_POST[current_charset],$_POST[new_charset])."</h3>\n";
+			echo '<h3>'.lang("Database successfully converted from '%1' to '%2'",$_POST['current_charset'],$_POST['new_charset'])."</h3>\n";
 			echo '<p>'.lang('Click <a href="index.php">here</a> to return to setup.')."</p>\n";
 			exit;
Index: trunk/setup/check_install.php
===================================================================
--- trunk/setup/check_install.php	(revision 5781)
+++ trunk/setup/check_install.php	(revision 7681)
@@ -272,5 +272,5 @@
 			$owner = function_exists('posix_getpwuid') ? posix_getpwuid(@fileowner($name)) : array('name' => 'nn');
 			$group = function_exists('posix_getgrgid') ? posix_getgrgid(@filegroup($name)) : array('name' => 'nn');
-			$perms = "$owner[name]/$group[name] ".verbosePerms(@fileperms($name));
+			$perms = "{$owner['name']}/{$group['name']} ".verbosePerms(@fileperms($name));
 		}
 
Index: trunk/setup/index.php
===================================================================
--- trunk/setup/index.php	(revision 3653)
+++ trunk/setup/index.php	(revision 7681)
@@ -184,5 +184,5 @@
 						. '<br><i>[user@server user]# mysql -u root -p</i><br>'
 						. lang('Create the empty database and grant user permissions -')
-						. "<br><i>mysql> create database $info[db_name];</i>"
+						. "<br><i>mysql> create database {$info['db_name']};</i>"
 						. "<br><i>mysql> grant all on " . $info['db_name']
 						. ".* to " . $info['db_user'] . "@localhost identified by '" . $info['db_pass'] . "';</i>");
Index: trunk/setup/inc/class.Template.inc.php
===================================================================
--- trunk/setup/inc/class.Template.inc.php	(revision 2)
+++ trunk/setup/inc/class.Template.inc.php	(revision 7681)
@@ -21,5 +21,5 @@
 		var $debug = False;
 
-		/* $file[handle] = 'filename'; */
+		/* $file['handle'] = 'filename'; */
 		var $file = array();
 
@@ -27,5 +27,5 @@
 		var $root = '';
 
-		/* $varkeys[key] = 'key'; $varvals[key] = 'value'; */
+		/* $varkeys['key'] = 'key'; $varvals['key'] = 'value'; */
 		var $varkeys = array();
 		var $varvals = array();
Index: trunk/preferences/preferences.php
===================================================================
--- trunk/preferences/preferences.php	(revision 5815)
+++ trunk/preferences/preferences.php	(revision 7681)
@@ -470,5 +470,5 @@
 	}
 
-	$show_help = "$session_data[show_help]" != '' && $session_data['appname'] == $_GET['appname'] ? 
+	$show_help = "{$session_data['show_help']}" != '' && $session_data['appname'] == $_GET['appname'] ?
 		$session_data['show_help'] : (int)$GLOBALS['phpgw_info']['user']['preferences']['common']['show_help'];
 
Index: trunk/calendar/inc/class.uiholiday.inc.php
===================================================================
--- trunk/calendar/inc/class.uiholiday.inc.php	(revision 7655)
+++ trunk/calendar/inc/class.uiholiday.inc.php	(revision 7681)
@@ -469,5 +469,5 @@
 				while (list(,$holiday) = @each($holidays))
 				{
-					echo "$locale\t$holiday[name]\t$holiday[day]\t$holiday[month]\t$holiday[occurence]\t$holiday[dow]\t$holiday[observance_rule]\n";
+					echo "$locale\t{$holiday['name']}\t{$holiday['day']}\t{$holiday['month']}\t{$holiday['occurence']}\t{$holiday['dow']}\t{$holiday['observance_rule']}\n";
 				}
 				$GLOBALS['phpgw']->common->phpgw_exit();
Index: trunk/calendar/inc/class.uialarm.inc.php
===================================================================
--- trunk/calendar/inc/class.uialarm.inc.php	(revision 5132)
+++ trunk/calendar/inc/class.uialarm.inc.php	(revision 7681)
@@ -207,5 +207,5 @@
 						'data'     => lang('Email Notification'),
 						'owner'    => $GLOBALS['phpgw']->common->grab_owner_name($alarm['owner']),
-						'select'   => $this->html->checkbox("alarm[$alarm[id]]")
+						'select'   => $this->html->checkbox("alarm[{$alarm['id']}]")
 					);
 					if ($this->bo->check_perms(PHPGW_ACL_DELETEALARM,$alarm['owner']))
Index: trunk/calendar/inc/class.bocalendar.inc.php
===================================================================
--- trunk/calendar/inc/class.bocalendar.inc.php	(revision 7673)
+++ trunk/calendar/inc/class.bocalendar.inc.php	(revision 7681)
@@ -3652,16 +3652,16 @@
 
 														$lang1 = lang("To See Commitment");
-														$varbuttom = "<form action=".$GLOBALS['phpgw_info']['server']['webserver_url']."/index.php?menuaction=calendar.uicalendar.view&cal_id=$event[id]&date=$newall3' method='POST'>
+														$varbuttom = "<form action=".$GLOBALS['phpgw_info']['server']['webserver_url']."/index.php?menuaction=calendar.uicalendar.view&cal_id={$event['id']}&date=$newall3' method='POST'>
 																		  		  <input type='submit' value='$lang1'>
 																		  		   </form>";
 														$lang2 = lang("To accept");
-														$varbuttom1 ="<input type='submit' value='$lang2' onClick='javascript:window.open(\"".$GLOBALS['phpgw_info']['server']['webserver_url']."/index.php?menuaction=calendar.uicalendar.set_action&cal_id=$event[id]&action=3&response=1&user=".$tmpuid."\",\"frontpage\",\"height=100,width=500,statusbar=no,toolbar=no,scrollbars=no,menubar=no,left=300,top=200\")'>";
+														$varbuttom1 ="<input type='submit' value='$lang2' onClick='javascript:window.open(\"".$GLOBALS['phpgw_info']['server']['webserver_url']."/index.php?menuaction=calendar.uicalendar.set_action&cal_id={$event['id']}&action=3&response=1&user=".$tmpuid."\",\"frontpage\",\"height=100,width=500,statusbar=no,toolbar=no,scrollbars=no,menubar=no,left=300,top=200\")'>";
                                                                                                                 
                                                                                                                 $lang6 = lang("Tentative");
-														$varbuttom5 ="<input type='submit' value='$lang6' onClick='javascript:window.open(\"".$GLOBALS['phpgw_info']['server']['webserver_url']."/index.php?menuaction=calendar.uicalendar.set_action&cal_id=$event[id]&action=2&response=3&user=".$tmpuid."\",\"frontpage\",\"height=100,width=500,statusbar=no,toolbar=no,scrollbars=no,menubar=no,left=300,top=200\")'>";
+														$varbuttom5 ="<input type='submit' value='$lang6' onClick='javascript:window.open(\"".$GLOBALS['phpgw_info']['server']['webserver_url']."/index.php?menuaction=calendar.uicalendar.set_action&cal_id={$event['id']}&action=2&response=3&user=".$tmpuid."\",\"frontpage\",\"height=100,width=500,statusbar=no,toolbar=no,scrollbars=no,menubar=no,left=300,top=200\")'>";
 														
 
 														$lang3 = lang("To reject");
-														$varbuttom2 ="<input type='submit' value='$lang3' onClick='javascript:window.open(\"".$GLOBALS['phpgw_info']['server']['webserver_url']."/index.php?menuaction=calendar.uicalendar.set_action&cal_id=$event[id]&action=0&response=2&user=".$tmpuid."\",\"frontpage\",\"height=100,width=500,statusbar=no,toolbar=no,scrollbars=no,menubar=no,left=300,top=200\")'>";
+														$varbuttom2 ="<input type='submit' value='$lang3' onClick='javascript:window.open(\"".$GLOBALS['phpgw_info']['server']['webserver_url']."/index.php?menuaction=calendar.uicalendar.set_action&cal_id={$event['id']}&action=0&response=2&user=".$tmpuid."\",\"frontpage\",\"height=100,width=500,statusbar=no,toolbar=no,scrollbars=no,menubar=no,left=300,top=200\")'>";
 														
 														$lang4 = lang("Alarm");
Index: trunk/workflow/inc/engine/config.egw.inc.php
===================================================================
--- trunk/workflow/inc/engine/config.egw.inc.php	(revision 3167)
+++ trunk/workflow/inc/engine/config.egw.inc.php	(revision 7681)
@@ -49,5 +49,5 @@
 // check if basedir exists
 $test=$GLOBALS['phpgw']->vfs->get_real_info(array('string' => '/', 'relatives' => array(RELATIVE_NONE), 'relative' => False));
-if($test[mime_type]!='Directory')
+if($test['mime_type']!='Directory')
 {
 	galaxia_show_error(lang('Base directory does not exist, please ask adminstrator to check the global configuration'),false, true);
@@ -56,5 +56,5 @@
 // check if /workflow  exists
 $test = @$GLOBALS['phpgw']->vfs->get_real_info(array('string' => '/workflow', 'relatives' => array(RELATIVE_NONE), 'relative' => False));
-if($test[mime_type]!='Directory')
+if($test['mime_type']!='Directory')
 {
 	// if not, create it
@@ -68,5 +68,5 @@
 	// test one more time
 	$test = $GLOBALS['phpgw']->vfs->get_real_info(array('string' => '/workflow', 'relatives' => array(RELATIVE_NONE), 'relative' => False));
-	if($test[mime_type]!='Directory')
+	if($test['mime_type']!='Directory')
 	{
 		galaxia_show_error(lang('/workflow directory does not exist and could not be created, please ask adminstrator to check the global configuration'), false, true);
Index: trunk/workflow/inc/engine/src/common/WfRuntime.php
===================================================================
--- trunk/workflow/inc/engine/src/common/WfRuntime.php	(revision 3167)
+++ trunk/workflow/inc/engine/src/common/WfRuntime.php	(revision 7681)
@@ -555,5 +555,5 @@
         {
           // activity is interactive and the activity source set the 
-          // $GLOBALS[workflow][__leave_activity] it's a 'cancel' mode.
+          // $GLOBALS['workflow'][__leave_activity] it's a 'cancel' mode.
           // we redirect the user to the leave activity page
           $result['action']='leaving';
Index: trunk/workflow/inc/report/downloads.php
===================================================================
--- trunk/workflow/inc/report/downloads.php	(revision 7655)
+++ trunk/workflow/inc/report/downloads.php	(revision 7681)
@@ -1,3 +1,3 @@
-<?
+<?php
 session_start();
 include 'includes/classes/Download.class.php';
Index: trunk/workflow/inc/report/cad_listagem.php
===================================================================
--- trunk/workflow/inc/report/cad_listagem.php	(revision 5307)
+++ trunk/workflow/inc/report/cad_listagem.php	(revision 7681)
@@ -1,3 +1,3 @@
-<?
+<?php
 
 $BASE_URL = "index.php?menuaction=workflow.reports.form";
@@ -144,30 +144,30 @@
             <tr>
                 <td align="center" id="tabnav">
-                    <a href="javascript:void(null);" onclick="window.location.href='<?=$BASE_URL?>';" <? if($abaMenu == 'pesquisa'){ echo 'class="active"'; }?>>Pesquisa</a>
-                </td>
-                <? if (($lstoid != "") || ($lstoid == "" && $FrmCadListagem_acao == "editar") ||  ($FrmCadListagem_acao == "atualizar_listagem")) { ?>
-                <td align="center" id="tabnav">
-                    <a href="javascript:void(null);" onclick="javascript:mudaAba('cadastro');" <? if($abaMenu == 'cadastro'){ echo 'class="active"'; }?>>Cadastro</a>
-                </td>
-                <? } ?>
-                <? if (($lstoid != "") ||  ($FrmCadListagem_acao == "atualizar_listagem")) { ?>
-                <td align="center" id="tabnav">
-                    <a href="javascript:void(null);" onclick="javascript:mudaAba('colunas');" <? if($abaMenu == 'colunas'){ echo 'class="active"'; }?>>Colunas</a>
-                </td>
-                <td align="center" id="tabnav">
-                    <a href="javascript:void(null);" onclick="javascript:mudaAba('indicadores');" <? if($abaMenu == 'indicadores'){ echo 'class="active"'; }?>>Indicadores</a>
-                </td>
-                <td align="center" id="tabnav">
-                    <a href="javascript:void(null);" onclick="javascript:mudaAba('parametros');" <? if($abaMenu == 'parametros'){ echo 'class="active"'; }?>>Parametros</a>
-                </td>
-                <td align="center" id="tabnav">
-                    <a href="javascript:void(null);" onclick="javascript:mudaAba('preview');" <? if($abaMenu == 'preview'){ echo 'class="active"'; }?>>Pre-Visualizacao</a>
-                </td>
-                <? if ($habilitasincronizacao) { ?>
-                <td align="center" id="tabnav">
-                    <a href="javascript:void(null);" onclick="javascript:mudaAba('sincronizar');" <? if($abaMenu == 'sincronizar'){ echo 'class="active"'; }?>>Sincronizacao</a>
+                    <a href="javascript:void(null);" onclick="window.location.href='<?=$BASE_URL?>';" <?php if($abaMenu == 'pesquisa'){ echo 'class="active"'; }?>>Pesquisa</a>
+                </td>
+                <?php if (($lstoid != "") || ($lstoid == "" && $FrmCadListagem_acao == "editar") ||  ($FrmCadListagem_acao == "atualizar_listagem")) { ?>
+                <td align="center" id="tabnav">
+                    <a href="javascript:void(null);" onclick="javascript:mudaAba('cadastro');" <?php if($abaMenu == 'cadastro'){ echo 'class="active"'; }?>>Cadastro</a>
+                </td>
+                <?php } ?>
+                <?php if (($lstoid != "") ||  ($FrmCadListagem_acao == "atualizar_listagem")) { ?>
+                <td align="center" id="tabnav">
+                    <a href="javascript:void(null);" onclick="javascript:mudaAba('colunas');" <?php if($abaMenu == 'colunas'){ echo 'class="active"'; }?>>Colunas</a>
+                </td>
+                <td align="center" id="tabnav">
+                    <a href="javascript:void(null);" onclick="javascript:mudaAba('indicadores');" <?php if($abaMenu == 'indicadores'){ echo 'class="active"'; }?>>Indicadores</a>
+                </td>
+                <td align="center" id="tabnav">
+                    <a href="javascript:void(null);" onclick="javascript:mudaAba('parametros');" <?php if($abaMenu == 'parametros'){ echo 'class="active"'; }?>>Parametros</a>
+                </td>
+                <td align="center" id="tabnav">
+                    <a href="javascript:void(null);" onclick="javascript:mudaAba('preview');" <?php if($abaMenu == 'preview'){ echo 'class="active"'; }?>>Pre-Visualizacao</a>
+                </td>
+                <?php if ($habilitasincronizacao) { ?>
+                <td align="center" id="tabnav">
+                    <a href="javascript:void(null);" onclick="javascript:mudaAba('sincronizar');" <?php if($abaMenu == 'sincronizar'){ echo 'class="active"'; }?>>Sincronizacao</a>
                 </td> 
-                <? } ?>
-                <? } ?>
+                <?php } ?>
+                <?php } ?>
             </tr>
         </table>
Index: trunk/workflow/inc/report/includes/classes/FormularioUtil.class.php
===================================================================
--- trunk/workflow/inc/report/includes/classes/FormularioUtil.class.php	(revision 7655)
+++ trunk/workflow/inc/report/includes/classes/FormularioUtil.class.php	(revision 7681)
@@ -1,3 +1,3 @@
-<?  
+<?php
 /**
  * FormularioUtil
Index: trunk/expressoMail1_2/login_offline.php
===================================================================
--- trunk/expressoMail1_2/login_offline.php	(revision 7673)
+++ trunk/expressoMail1_2/login_offline.php	(revision 7681)
@@ -272,5 +272,5 @@
 	$config_reg = $cnf_reg->config_data;
 
-	if($config_reg[enable_registration]=='True' && $config_reg[register_link]=='True')
+	if($config_reg['enable_registration']=='True' && $config_reg['register_link']=='True')
 	{
 		$reg_link='&nbsp;<a href="registration/">'.lang('Not a user yet? Register now').'</a><br/>';
Index: trunk/expressoMail1_2/inc/class.imap_functions.inc.php
===================================================================
--- trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 7674)
+++ trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 7681)
@@ -2080,8 +2080,8 @@
                             $sign_alert = array();
                             $sign_alert[] = 'Certificate Owner###:\n';
-                            $sign_alert[] = 'Common Name (CN)###  ' . $cert[subject]['CN'] .  '\n';
+                            $sign_alert[] = 'Common Name (CN)###  ' . $cert['subject']['CN'] .  '\n';
                             $X = substr($certificado->dados['NASCIMENTO'] ,0,2) . '-' . substr($certificado->dados['NASCIMENTO'] ,2,2) . '-'  . substr($certificado->dados['NASCIMENTO'] ,4,4);
-                            $sign_alert[]= 'Organization (O)###  ' . $cert[subject]['O'] .  '\n';
-                            $sign_alert[]= 'Organizational Unit (OU)### ' . $cert[subject]['OU'][0] .  '\n';
+                            $sign_alert[]= 'Organization (O)###  ' . $cert['subject']['O'] .  '\n';
+                            $sign_alert[]= 'Organizational Unit (OU)### ' . $cert['subject']['OU'][0] .  '\n';
                             //$sign_alert[] = 'Serial Number### ' . $cert['serialNumber'] . '\n';
                             $sign_alert[] = 'Personal Data###:' . '\n';
@@ -2090,12 +2090,12 @@
                             $sign_alert[]= 'Identification### ' . $certificado->dados['RG'] .  '\n\n';
                             $sign_alert[]= 'Certificate Issuer###:\n';
-                            $sign_alert[]= 'Common Name (CN)###  ' . $cert[issuer]['CN'] . '\n';
-                            $sign_alert[]= 'Organization (O)###  ' . $cert[issuer]['O'] .  '\n';
-                            $sign_alert[]= 'Organizational Unit (OU)### ' . $cert[issuer]['OU'][0] .  '\n\n';
+                            $sign_alert[]= 'Common Name (CN)###  ' . $cert['issuer']['CN'] . '\n';
+                            $sign_alert[]= 'Organization (O)###  ' . $cert['issuer']['O'] .  '\n';
+                            $sign_alert[]= 'Organizational Unit (OU)### ' . $cert['issuer']['OU'][0] .  '\n\n';
                             $sign_alert[]= 'Validity###:\n';
-                            $H = data_hora($cert[validFrom]);
+                            $H = data_hora($cert['validFrom']);
                             $X = substr($H,6,2) . '-' . substr($H,4,2) . '-'  . substr($H,0,4);
                             $sign_alert[]= 'Valid From### ' . $X .  '\n';
-                            $H = data_hora($cert[validTo]);
+                            $H = data_hora($cert['validTo']);
                             $X = substr($H,6,2) . '-' . substr($H,4,2) . '-'  . substr($H,0,4);
                             $sign_alert[]= 'Valid Until### ' . $X;
